wxWidgets: wxLanguageInfo Struct Reference

| Version: 3.2.2

Public Member Functions | Public Attributes | List of all members
wxLanguageInfo Struct Reference

`#include <wx/intl.h>`

## Detailed Description

Encapsulates a wxLanguage identifier together with OS-specific information related to that language.

wxPerl Note: In wxPerl `Wx::LanguageInfo` has only one method:

- Wx::LanguageInfo->new(language, canonicalName, WinLang, WinSubLang, Description)

## Public Member Functions
wxUint32 | GetLCID () const
| Return the LCID corresponding to this language. More...
wxString | GetLocaleName () const
| Return the locale name corresponding to this language usable with `setlocale()` on the current system. More...
wxString | GetCanonicalWithRegion () const
| Return the canonical locale name including the region, if known. More...

## Public Attributes
int | Language
| wxLanguage id. More...
wxString | LocaleTag
| Tag for locale in BCP 47-like notation. More...
wxString | CanonicalName
| Canonical name of the language, e.g. `fr_FR`. More...
wxString | CanonicalRef
| Canonical reference including region. More...
wxString | Description
| Human-readable name of the language in English. More...
wxString | DescriptionNative
| Human-readable name of the language in this language itself. More...
wxLayoutDirection | LayoutDirection
| The layout direction used for this language. More...
wxUint32 | WinLang
| Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx). More...
wxUint32 | WinSublang
| Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx). More...

## Member Function Documentation

## ◆ GetCanonicalWithRegion()

wxString wxLanguageInfo::GetCanonicalWithRegion | ( |  | ) | const

Return the canonical locale name including the region, if known.

The value is identical to `CanonicalRef`, if not empty, otherwise it is identical to `CanonicalName`.

Since
  3.1.6

## ◆ GetLCID()

wxUint32 wxLanguageInfo::GetLCID | ( |  | ) | const

Return the LCID corresponding to this language.

Availability: only available for the wxMSW port.

## ◆ GetLocaleName()

wxString wxLanguageInfo::GetLocaleName | ( |  | ) | const

Return the locale name corresponding to this language usable with `setlocale()` on the current system.

If setting locale for this language is not supported, the returned string is empty.

## Member Data Documentation

## ◆ CanonicalName

wxString wxLanguageInfo::CanonicalName

Canonical name of the language, e.g. `fr_FR`.

## ◆ CanonicalRef

wxString wxLanguageInfo::CanonicalRef

Canonical reference including region.

Set, if the name specifies the language only, e.g. fr_FR for fr. Empty, if region is unknown or already part of the name.

Since
  3.1.6

## ◆ Description

wxString wxLanguageInfo::Description

Human-readable name of the language in English.

## ◆ DescriptionNative

wxString wxLanguageInfo::DescriptionNative

Human-readable name of the language in this language itself.

Since
  3.1.6

## ◆ Language

int wxLanguageInfo::Language

wxLanguage id.

It should be greater than `wxLANGUAGE_USER_DEFINED` when defining your own language info structure.

## ◆ LayoutDirection

wxLayoutDirection wxLanguageInfo::LayoutDirection

The layout direction used for this language.

## ◆ LocaleTag

wxString wxLanguageInfo::LocaleTag

Tag for locale in BCP 47-like notation.

Since
  3.1.6

## ◆ WinLang

wxUint32 wxLanguageInfo::WinLang

Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx).

Availability: only available for the wxMSW port.

## ◆ WinSublang

wxUint32 wxLanguageInfo::WinSublang

Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx).

Availability: only available for the wxMSW port.